import React from 'react'
import { View, Text } from 'react-native'
import styles from './index.scss'

const StatusView = ({
  loading = true,
  empty = false,
  error = false,
  // 是否填充
  fill = true,
  loadingText = '加载中...',
  errorText = '加载失败了',
  emptyText = '暂无相关数据',
  emptyIcon = null,
  errorIcon = null,
  onClick = null,
  style = {},
  children = null,
}) => {
  return (
    <View style={[styles.statusContainer, fill ? styles.full : null]}>
      {children ? children : <Text>加载中...</Text>}
    </View>
  )
}

export default StatusView
