/**
 * 设备列表页
 *
 * */

import React, { useEffect, useState } from 'react'
import { ScrollView, View, Text, SafeAreaView, NativeModules, FlatList } from 'react-native';
// import Tabbar from '../../components/Tabbar';
import { equiment as equimentServices } from '../../services';
import styles from './style';

const { BMCInfo: { getLoginInfo }, BMCUI } = NativeModules;

const Equipment = () => {
  const [equimentList, setEquimentList] = useState([]);
  useEffect(() => {
    getEquimentList();
  }, []);

  const getEquimentList = async () => {
   try {
     const data = await equimentServices.getArticleList();
     setEquimentList(data[0].devices || []);
   } catch (e) {
     BMCUI.showToast('e');
   }
  };
  return (
    <SafeAreaView style={styles.container}>
      <View style={styles.main}>
        <Text style={styles.tip}>
          标题文字点击无反馈，文字超长则隐藏，文字超长则隐藏
        </Text>
        <View style={styles.content}>
          <FlatList
            data={equimentList}
            keyExtractor={(item, index) => item.deviceId + ''}
            renderItem={({ item }) => {
              return <View style={styles.ceil}>
                <View style={styles.ceilTitle}>
                  <Text style={styles.ceilName}>{item.title}</Text>
                  {item.currentDevice && <Text style={styles.ceilTag}>本机</Text>}
                </View>
                <Text style={styles.ceilInfo}>最后登录时间：{item.gmtLoginDisplay}</Text>
              </View>;
            }}
          />
        </View>
      </View>
    </SafeAreaView>
  )
};

export default Equipment
